Loading...
Searching...
No Matches
cyaml_buffer_ctx Struct Reference
Collaboration diagram for cyaml_buffer_ctx:
[legend]

## Data Fields

const cyaml_config_t * | config
size_t | len
size_t | used
char * | data
cyaml_err_t | err

## Detailed Description

CYAML save buffer context.

## Field Documentation

## config

const cyaml_config_t* cyaml_buffer_ctx::config

Client's CYAML configuration structure.

## data

char* cyaml_buffer_ctx::data

Current allocation for serialised output.

## err

cyaml_err_t cyaml_buffer_ctx::err

Any error encounted in buffer handling.

## len

size_t cyaml_buffer_ctx::len

Current length of data allocation.

## used

size_t cyaml_buffer_ctx::used

Current number of bytes used in data.

The documentation for this struct was generated from the following file:

- src/save.c